%global modname SMTP-Server
%global momorel 14
Summary: SMTP::Server - SMTP server implementation written entirely in Perl
Name: perl-SMTP-Server
Version: 1.1
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: Development/Languages
URL: http://www.cpan.org/modules/by-module/Net/
Source0: http://www.cpan.org/modules/by-module/Net/%{modname}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: perl >= 5.8.5
BuildArch: noarch

%description
This module is a complete, RFC 821 compliant, SMTP server implementation
written entirely in Perl.  It has powerful extensively and customization
facilities that allow for a variety of potential uses.

%prep
%setup -n %{modname}-%{version} -q

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorlib}/auto/Net/SMTP/Server/Client/autosplit.ix
rm -f %{buildroot}%{perl_vendorlib}/auto/Net/SMTP/Server/Relay/autosplit.ix
rm -f %{buildroot}%{perl_vendorlib}/auto/Net/SMTP/Server/autosplit.ix
rm -f %{buildroot}%{perl_vendorarch}/auto/Net/SMTP/Server/.packlist

%files
%defattr(-, root, root)
%{perl_vendorlib}/Net/SMTP
%{_mandir}/man?/*

%doc Changes LICENSE README

%clean
rm -rf %{buildroot}

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-14m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-13m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1-12m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.1-11m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.1-10m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.1-9m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.1-8m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1-7m)
- revised spec for rpm 4.2.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-6m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.1-5m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.1-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.1-3m)
- rebuild against perl-5.8.0

* Thu Feb 28 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.1-2k)
